commit 0d402704d2da9b45414d840598dc8bddc0626f65
Author: freddy77 <freddy77>
Date:   Sat Jan 23 20:25:56 2010 +0000

    Removed 2009-12-22 patch "Better way to fix data_type for date" which does not work on Sybase

diff --git a/ChangeLog b/ChangeLog
index d6f7d4e..dd9a1db 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,8 @@
+Sat Jan 23 21:25:35 CET 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/odbc/odbc.c:
+	- Removed 2009-12-22 patch "Better way to fix data_type for date"
+	  which does not work on Sybase
+
 Fri Jan 22 17:39:39 EST 2010	JK Lowden <jklowden@freetds.org>
 	* src/dblib/bcp.c error message when hostfile wider than table.
 
@@ -2159,4 +2164,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog-0.82 added because of release
 	
 $FreeTDS$
-$Id: ChangeLog,v 1.2948 2010/01/22 22:41:47 jklowden Exp $
+$Id: ChangeLog,v 1.2949 2010/01/23 20:25:56 freddy77 Exp $
diff --git a/src/odbc/odbc.c b/src/odbc/odbc.c
index 722548f..a9abcc1 100644
--- a/src/odbc/odbc.c
+++ b/src/odbc/odbc.c
@@ -1,6 +1,6 @@
 /* FreeTDS - Library of routines accessing Sybase and Microsoft databases
  * Copyright (C) 1998, 1999, 2000, 2001  Brian Bruns
- * Copyright (C) 2002-2008  Frediano Ziglio
+ * Copyright (C) 2002-2010  Frediano Ziglio
  *
  * This library is free software; you can redistribute it and/or
  * modify it under the terms of the GNU Library General Public
@@ -60,7 +60,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: odbc.c,v 1.525 2010/01/10 14:43:11 freddy77 Exp $");
+TDS_RCSID(var, "$Id: odbc.c,v 1.526 2010/01/23 20:25:56 freddy77 Exp $");
 
 static SQLRETURN _SQLAllocConnect(SQLHENV henv, SQLHDBC FAR * phdbc);
 static SQLRETURN _SQLAllocEnv(SQLHENV FAR * phenv, SQLINTEGER odbc_version);
@@ -88,7 +88,7 @@ static void odbc_col_setname(TDS_STMT * stmt, int colpos, const char *name);
 static SQLRETURN odbc_stat_execute(TDS_STMT * stmt, const char *begin, int nparams, ...);
 static SQLRETURN odbc_free_dynamic(TDS_STMT * stmt);
 static SQLRETURN odbc_free_cursor(TDS_STMT * stmt);
-static SQLSMALLINT odbc_fix_datetime_sql_type(SQLSMALLINT sql_type, SQLINTEGER odbc_version);
+static SQLSMALLINT odbc_swap_datetime_sql_type(SQLSMALLINT sql_type);
 static int odbc_process_tokens(TDS_STMT * stmt, unsigned flag);
 static int odbc_lock_statement(TDS_STMT* stmt);
 
@@ -3458,12 +3458,12 @@ odbc_fix_data_type_col(TDS_STMT *stmt, int idx)
 	switch (tds_get_conversion_type(colinfo->column_type, colinfo->column_size)) {
 	case SYBINT2: {
 		TDS_SMALLINT *data = (TDS_SMALLINT *) colinfo->column_data;
-		*data = odbc_fix_datetime_sql_type(*data, stmt->dbc->env->attr.odbc_version);
+		*data = odbc_swap_datetime_sql_type(*data);
 		}
 		break;
 	case SYBINT4: {
 		TDS_INT *data = (TDS_INT *) colinfo->column_data;
-		*data = odbc_fix_datetime_sql_type(*data, stmt->dbc->env->attr.odbc_version);
+		*data = odbc_swap_datetime_sql_type(*data);
 		}
 		break;
 	}
@@ -5766,20 +5766,26 @@ odbc_upper_column_names(TDS_STMT * stmt)
 }
 
 static SQLSMALLINT
-odbc_fix_datetime_sql_type(SQLSMALLINT sql_type, SQLINTEGER odbc_version)
+odbc_swap_datetime_sql_type(SQLSMALLINT sql_type)
 {
 	switch (sql_type) {
-	case SQL_TIMESTAMP:
 	case SQL_TYPE_TIMESTAMP:
-		sql_type = odbc_version != SQL_OV_ODBC2 ? SQL_TYPE_TIMESTAMP : SQL_TIMESTAMP;
+		sql_type = SQL_TIMESTAMP;
+		break;
+	case SQL_TIMESTAMP:
+		sql_type = SQL_TYPE_TIMESTAMP;
 		break;
-	case SQL_DATE:
 	case SQL_TYPE_DATE:
-		sql_type = odbc_version != SQL_OV_ODBC2 ? SQL_TYPE_DATE : SQL_DATE;
+		sql_type = SQL_DATE;
+		break;
+	case SQL_DATE:
+		sql_type = SQL_TYPE_DATE;
 		break;
-	case SQL_TIME:
 	case SQL_TYPE_TIME:
-		sql_type = odbc_version != SQL_OV_ODBC2 ? SQL_TYPE_TIME : SQL_TIME;
+		sql_type = SQL_TIME;
+		break;
+	case SQL_TIME:
+		sql_type = SQL_TYPE_TIME;
 		break;
 	}
 	return sql_type;
@@ -5810,7 +5816,7 @@ SQLGetTypeInfo(SQLHSTMT hstmt, SQLSMALLINT fSqlType)
 	/* TODO ODBC3 convert type to ODBC version 2 (date) */
 	if (odbc3) {
 		if (TDS_IS_SYBASE(tds)) {
-			sprintf(sql, sql_templ, odbc_fix_datetime_sql_type(fSqlType, SQL_OV_ODBC2));
+			sprintf(sql, sql_templ, odbc_swap_datetime_sql_type(fSqlType));
 			stmt->special_row = ODBC_SPECIAL_GETTYPEINFO;
 		} else {
 			sprintf(sql, sql_templ, fSqlType);

